# -*- coding: utf-8 -*-
#: include Designing_layout.kv

<Game_box>:
    text: ""
    des: ""
    orientation: 'vertical'
    size_hint: None, None
    size: 250, 250
    canvas.before:
        Color:
            rgba: 0.6,0.6,0.7,1
        RoundedRectangle:
            size: self.size
            pos: self.pos
            radius:[6]

    BoxLayout:
        size_hint: 1,None
        height: 30
        canvas.before:
            Color:
                rgba: 0.9,0.9,0.95,1
            RoundedRectangle:
                size: self.size
                pos: self.pos
                radius:[6]
        Label:
            #size_hint: None, 1
            font_size: 20
            bold: True
            padding: 0,0
            color: 0,0,0,1
            text: root.text

        ToggleButton:
            id: tgl
            size_hint: None, 1
            width: self.size[1]
            bold: True
            font_size: 25
            on_state: self.text = root.parent.parent.parent.parent.add_game(self.state)




    Label_f:
        id: des_text

        size_hint: None,None
        width: 250
        text_size: self.size

        pos_hint: {'right':1}
        padding_x: 10
        padding_y: 10
        halign: 'right'
        valign: 'top'
        color: 0,0,0,1
        font_size: 16
        text: root.des

    Label:

<Tests>:
    name: "Tests"
    Image:
        size_hint: 1, 1
        canvas:
            Color:
                rgb: (1, 1, 1)
            Rectangle:
                texture: self.texture
                size: self.width + 20, self.height + 20
                pos: self.x - 10, self.y - 10
        source: 'data/bg.jpg'

    BoxLayout:
        #orientation: "vertical"
        canvas.before:
            Color:
                rgba: 0,0,0,0#bg_col
            Rectangle:
                size: self.size
                pos: self.pos

        ScrollView:
            id: scrlv
            size_hint_y: None
            height: 800
            StackLayout:
                id: game_page
                orientation: 'rl-tb'
                size_hint: (1,None)
                padding: [30,20]
                spacing: 30

        Slider:
            id: slider
            size_hint_x: None
            width: 15
            orientation: 'vertical'
            min: 0
            max: 1
            value: 1
            step: 0.01


    Button:
        size_hint: None, None
        size: 64, 64
        pos_hint: {'center_x': 0.93,'center_y':0.1}
        background_normal: 'data/icons/next.png'
        on_release: root.go()


    Cbtn:
        tip: strs.new_design
        size_hint: None, None
        size: 64, 64
        #text: "New Design"
        background_normal: "data/icons/new_design.png"
        pos_hint: {'center_x': 0.1,'center_y':0.1}
        on_release: root.designer()